summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-03-30 00:49:23 +0200
committerMart Raudsepp <leio@gentoo.org>2019-03-30 00:49:23 +0200
commit6437481698381de72772b80b4a2b55d73c7955f8 (patch)
tree65742225adbfd1ebcd4c1b998fd6fae21da5d8d0 /app-accessibility
parentapp-accessibility/at-spi2-core: remove old (diff)
downloadgentoo-6437481698381de72772b80b4a2b55d73c7955f8.tar.gz
gentoo-6437481698381de72772b80b4a2b55d73c7955f8.tar.bz2
gentoo-6437481698381de72772b80b4a2b55d73c7955f8.zip
app-accessibility/orca: remove old
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/orca/Manifest2
-rw-r--r--app-accessibility/orca/orca-3.26.0.ebuild72
-rw-r--r--app-accessibility/orca/orca-3.28.2.ebuild52
3 files changed, 0 insertions, 126 deletions
diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
index f857165dc08..5b880166b54 100644
--- a/app-accessibility/orca/Manifest
+++ b/app-accessibility/orca/Manifest
@@ -1,4 +1,2 @@
DIST orca-3.24.0.tar.xz 2391740 BLAKE2B 1f294bc8e1c593690c511f0d7d660230c420b33de59c8b1e78ee8d7b16f973b9fff9ce4d656de7202ffd5789ae3604d030c442e8c35eecfd5c5dca058031e996 SHA512 9aa65b534f69bb4a1b800e715776416843ac3756ec1267feca3c66476e34e54f6744f70c0f8ac8868a009d38b6cc165267268491a9ad29ebbd3601dba09d424c
-DIST orca-3.26.0.tar.xz 2407368 BLAKE2B e04a891a2f2478b5b5f556a423c073f8c64de78d1f744d41d292cd783edc2ba0e57824ba3afb1f1b58f62503a204003d97e1fb652df307f34ae6838bce44389c SHA512 ca3a60b36d9528cf424e01d7a1aad75a8e14e46a6c93330b8e439bd44832dbc44897657b8da3c583501ce8c835f589209f1b3969ab110766cb1dc099defd2445
-DIST orca-3.28.2.tar.xz 2460112 BLAKE2B 7c577f639c7a37e5bae755bab32b753d0f2a9eef49872a9b0f3805ad33d8dd8ded7bdfda8239662eec87dde1b0d935634628709fa18e0b0db223550ee478ad59 SHA512 3a93c39f9245890d134fa96e58bdfdb273600730be6fedd8590628cf8b1740a6caa7c4fb180c1da156e179b6e0cc352f6f5aacfa8eaed3e306f399bd1fe3cc43
DIST orca-3.30.2.tar.xz 2493112 BLAKE2B 06ac902f67c66d5098be1829aa7cb7a160663a3a713d407a5245a95215c309f3b374937e4b70acbf9750f6e0e270ed8ab5516ca3cb6b0a19f347ee72a01a325b SHA512 146a132ce06f7f36d6d9397c507ea767be5df6c47a5c7485c35c325868ebc0b3ff7b3653572be82f6d5ed937033cd6d68a08700056a63e5691aed4c9171b3485
diff --git a/app-accessibility/orca/orca-3.26.0.ebuild b/app-accessibility/orca/orca-3.26.0.ebuild
deleted file mode 100644
index 88ecd17c1e5..00000000000
--- a/app-accessibility/orca/orca-3.26.0.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python3_{4,5,6} )
-PYTHON_REQ_USE="threads"
-
-inherit gnome2 python-r1
-
-DESCRIPTION="Extensible screen reader that provides access to the desktop"
-HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
-
-LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-
-IUSE="+braille"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- >=app-accessibility/at-spi2-atk-2.26:2
- >=app-accessibility/at-spi2-core-2.26:2[introspection]
- >=dev-libs/atk-2.26
- >=dev-libs/glib-2.28:2
- dev-python/gst-python:1.0[${PYTHON_USEDEP}]
- >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
- media-libs/gstreamer:1.0[introspection]
- >=x11-libs/gtk+-3.6.2:3[introspection]
- braille? (
- >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
- dev-libs/liblouis[python,${PYTHON_USEDEP}] )
-"
-RDEPEND="${COMMON_DEPEND}
- >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
- dev-libs/atk[introspection]
- >=dev-python/pyatspi-2.26[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- x11-libs/libwnck:3[introspection]
- x11-libs/pango[introspection]
-"
-DEPEND="${COMMON_DEPEND}
- >=dev-util/intltool-0.50
- dev-util/itstool
- virtual/pkgconfig
-"
-# app-text/yelp-tools
-
-src_prepare() {
- gnome2_src_prepare
- python_copy_sources
-}
-
-src_configure() {
- python_foreach_impl run_in_build_dir gnome2_src_configure \
- $(use_with braille liblouis)
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir gnome2_src_compile
-}
-
-src_install() {
- installing() {
- gnome2_src_install
- # Massage shebang to make python_doscript happy
- sed -e 's:#!'"${PYTHON}:#!/usr/bin/python:" \
- -i src/orca/orca || die
- python_doscript src/orca/orca
- }
- python_foreach_impl run_in_build_dir installing
-}
diff --git a/app-accessibility/orca/orca-3.28.2.ebuild b/app-accessibility/orca/orca-3.28.2.ebuild
deleted file mode 100644
index 350d127290f..00000000000
--- a/app-accessibility/orca/orca-3.28.2.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python3_{4,5,6} )
-PYTHON_REQ_USE="threads"
-
-inherit gnome2 python-single-r1
-
-DESCRIPTION="Extensible screen reader that provides access to the desktop"
-HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
-
-LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-
-IUSE="+braille"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- >=app-accessibility/at-spi2-atk-2.28:2
- >=app-accessibility/at-spi2-core-2.28:2[introspection]
- >=dev-libs/atk-2.28
- >=dev-libs/glib-2.28:2
- dev-python/gst-python:1.0[${PYTHON_USEDEP}]
- >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
- media-libs/gstreamer:1.0[introspection]
- >=x11-libs/gtk+-3.6.2:3[introspection]
- braille? (
- >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
- dev-libs/liblouis[python,${PYTHON_USEDEP}] )
-"
-RDEPEND="${COMMON_DEPEND}
- >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
- dev-libs/atk[introspection]
- >=dev-python/pyatspi-2.26[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- x11-libs/libwnck:3[introspection]
- x11-libs/pango[introspection]
-"
-DEPEND="${COMMON_DEPEND}
- >=dev-util/intltool-0.50
- dev-util/itstool
- virtual/pkgconfig
-"
-# app-text/yelp-tools
-
-src_configure() {
- gnome2_src_configure \
- $(use_with braille liblouis)
-}